<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
    <artifactId>core-support</artifactId>
    <version>1.9.0</version>
  </parent>
  <artifactId>core-support-design</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: CORE :: SUPPORT :: DESIGN</name>
  <description>ENTAXY :: PLATFORM :: CORE :: SUPPORT :: DESIGN</description>
  
  <properties>
	  <bundle.osgi.export.pkg>
		  ru.entaxy.platform.core.support.design*
	  </bundle.osgi.export.pkg>
	  <bundle.osgi.dynamicimport.pkg>
		  <!-- Needed for javassist to find classes while compiling -->
		  *
	  </bundle.osgi.dynamicimport.pkg>
  </properties>

  <dependencies>
	  <dependency>
		  <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
		  <artifactId>base-support</artifactId>
		  <version>${project.version}</version>
	  </dependency>	  
		<dependency>
			<groupId>org.openapitools</groupId>
			<artifactId>openapi-generator</artifactId>
			<version>${openapi-generator.version}</version>
		</dependency>
		<dependency>
		    <groupId>com.github.javaparser</groupId>
		    <artifactId>javaparser-core</artifactId>
		    <version>${javaparser.version}</version>
		</dependency>		
		<dependency>
		    <groupId>io.swagger.parser.v3</groupId>
		    <artifactId>swagger-parser</artifactId>
		    <version>${swagger-parser.version}</version>
		</dependency>	  	
		<dependency>
		    <groupId>io.swagger.parser.v3</groupId>
		    <artifactId>swagger-parser-v3</artifactId>
		    <version>${swagger-parser.version}</version>
		</dependency>
		<dependency>
		    <groupId>com.github.javaparser</groupId>
		    <artifactId>javaparser-symbol-solver-core</artifactId>
		    <version>${javaparser.version}</version>
		</dependency>	
		<dependency>
		    <groupId>com.github.javaparser</groupId>
		    <artifactId>javaparser-core-serialization</artifactId>
		    <version>${javaparser.version}</version>
		</dependency>			
		<dependency>
			<groupId>org.javassist</groupId>
			<artifactId>javassist</artifactId>
			<version>${javassist.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>${commons-io.version}</version>
		</dependency>
   </dependencies>

  
</project>
